<template>
  <basic-container>
      <el-form :inline="true" :model="formInline" class="demo-form-inline">
        <el-form-item label="案由">
          <el-input v-model="formInline.user" placeholder="案由"></el-input>
        </el-form-item>
        <el-form-item label="当事人">
          <el-input v-model="formInline.user" placeholder="当事人"></el-input>
        </el-form-item>
        <el-form-item label="审批状态">
          <el-select v-model="formInline.region" placeholder="审批状态">
            <el-option label="已驳回" value="shanghai"></el-option>
            <el-option label="待审批" value="beijing"></el-option>
            <el-option label="已通过" value="xianggang"></el-option>
          </el-select>
        </el-form-item>
        <el-form-item>
          <el-button type="primary" @click="onSubmit">查询</el-button>
        </el-form-item>
        <el-form-item>
          <el-button type="primary" @click="onSubmit">刷新</el-button>
        </el-form-item>
      </el-form>
    <div class="law-table-main">
      <el-table
        :height="tableHeight"
        :data="tableData" border>
        <el-table-column
          prop="casePoint"
          label="案由"
          :show-overflow-tooltip="true"
          min-width="22%"
        ></el-table-column>
        <el-table-column
          prop="litigant"
          label="当事人姓名"
          min-width="20%">
        </el-table-column>
        <el-table-column
          prop="phone"
          label="联系电话"
          min-width="22%"
        ></el-table-column>
        <el-table-column
          prop="establishTime"
          label="提交时间"
          sortable
          min-width="18%"
        ></el-table-column>
        <el-table-column
          prop="hanlders"
          label="执法人"
          :show-overflow-tooltip="true"
          min-width="18%"
        ></el-table-column>
        <el-table-column
          prop="approvalState"
          label="审批状态"
          min-width="18%"
        ></el-table-column>

        <el-table-column
          label="操作"
          align="center"
          header-align="center"
          min-width="18%">
          <template v-slot:="scope">
            <el-button type="text" @click="goProcess(scope.row)">
              <img src="../../../assets/lawImg/seeIcon.png" alt="">
            </el-button>
            <el-button type="text" @click="getById(scope.row.id)">
              <img src="../../../assets/lawImg/editIcon2.png" alt="">
            </el-button>
          </template>
        </el-table-column>
      </el-table>
    </div>
    <div class="avue-crud__pagination">
      <el-pagination
        @size-change="sizeChangeHandle"
        @current-change="currentChangeHandle"
        :current-page="pageIndex"
        :page-sizes="[10, 20, 50, 100]"
        :page-size="pageSize"
        :total="total"
        background
        layout="total, sizes, prev, pager, next, jumper"
      >
      </el-pagination>
    </div>
    <SunmaryProcedureForm v-if="isShow" ref="sunmaryProcedure" @cancel="cancel"></SunmaryProcedureForm>
  </basic-container>
</template>

<script>
import {getObj} from '@/api/News/sunmaryProcedure'
import SunmaryProcedureForm from "@/views/News/SunmaryProcedure/SunmaryProcedureForm";

export default {
  name: "index",
  components:{
    SunmaryProcedureForm
  },
  data() {
    return {
      isShow:false,
      formInline: {
        user: '',
        region: ''
      },
      tableHeight: 460,
      pageIndex:1,
      pageSize:10,
      total:3,
      tableData: [{
        hanlders:'周星驰，李连杰',
        casePoint:"逆向行驶电动车",
        litigant:"张三",
        phone:'1883029',
        establishTime: '2016-05-02',
        approvalState:"待审批"
      }, {
        hanlders:'周星驰，李连杰',
        casePoint:"骑车过斑马线",
        litigant:"李四",
        phone:'1883029',
        establishTime: '2016-05-02',
        approvalState:"待审批"
      }, {
        hanlders:'周星驰，李连杰',
        casePoint:"违规停车",
        litigant:"王五",
        phone:'1883029',
        establishTime: '2016-05-02',
        approvalState:"待审批"
      }]
    }
  },
  methods: {
    //点击点跳转查看
    goProcess(row) {
      // this.$router.push({name: 'process_manage', params: {name: id}})
      this.$router.push({
        path: '/auditWord',
        query: {
          id: row,
        }
      })
    },
    //打开审核弹框
    getById(id){
      /*this.isShow = true;
      this.$nextTick(() => {
        this.$refs.sunmaryProcedure.init(id)
      })*/
      this.$router.push({
        path: '/platform-oa/todo-manage/todoManage',
        query: {
          id: id,
        }
      })
    },
    //关闭添加弹框
    cancel() {
      this.isShow = false;
    },
    //查询
    onSubmit() {
      /*getObj().then(res =>{
        // this.tableData =
      })*/
    },
    // 每页数
    sizeChangeHandle(val) {
      this.pageSize = val;
      this.pageIndex = 1;
      // this.getDataList();
    },
    // 当前页
    currentChangeHandle(val) {
      this.pageIndex = val;
      // this.getDataList();
    },
  }
}
</script>

<style scoped>

</style>
